<ng-template [ngIf]="this.validateNumbers">
  <div class="modal hidden">
    <div class="modal__container">
      <div class="modal__top">
        <img
          src="https://assets-global.website-files.com/645134a07344df344840bf04/6452ac2fc11024f62b6e724d_icn_close.svg"
          loading="lazy"
          alt=""
          class="close__modal"
          (click)="onClose()"
        />
        <h2 class="modal__title">Resultado</h2>
      </div>
      <div class="modal__bottom">
        <p>Resulatdo de la serie: {{ res }}</p>
      </div>
    </div>
  </div>
</ng-template>

<ng-template [ngIf]="!this.validateNumbers">
  <div class="modal hidden">
    <div class="modal__container">
      <div class="modal__top">
        <img
          src="https://assets-global.website-files.com/645134a07344df344840bf04/6452ac2fc11024f62b6e724d_icn_close.svg"
          loading="lazy"
          alt=""
          class="close__modal"
          (click)="onClose()"
        />
        <h2 class="modal__title error">Error</h2>
      </div>
      <div class="modal__bottom">
        <h3 class="modal__error__number">{{ nNumber }}</h3>
        <ul>
          <li *ngIf="!this.isFibonacciNumber">
            <p>No es un numero de la serie de Fibonacci</p>
          </li>
          <li *ngIf="!this.isPrimeNumber"><p>No es un numero primo</p></li>
          <li *ngIf="!this.isTriangularNumber">
            <p>No es un numero triangular</p>
          </li>
        </ul>
      </div>
    </div>
  </div>
</ng-template>

<div class="overlay hidden"></div>
